View Issue Details

IDProjectCategoryView StatusLast Update
0002791Ham Radio DeluxeBugpublic2018-07-25 20:47
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.858 
Target VersionFixed in Version6.4.0.873 
Summary0002791: Logbook: ALE "country" tab might not populate
DescriptionThe "Country" tab on the ALE is fragile; it might or might not populate depending on luck. It's driven by a timer, rather than by reacting to any discrete event that the user might generate.

The timer should be removed and the update of this tab driven by specific user action.

The tab should be populated if:

1) The user opens an existing QSO record (by double-clicking on an entry in the Logbook view)
2) The user moves to another record using the "Prev" or "Next" buttons
3) The user selects a new Country (DXCC entity, really) in the "Country" dropdown
Steps To Reproduce1) Fire up the Logbook
2) Open your favorite database
3) Add a new ALE record
4) In the ALE, switch to the "Country" tab
5) Select any country you'd like in the "Country" drop down.

BUG#1) Nothing happens. The "Country" tab doesn't populate.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-07-01 23:29

manager   ~0005589

Fixed in the MIkeB2 branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4203

K7ZCZ

2018-07-12 14:31

manager   ~0005659

merged to the main branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4223

g3ucq

2018-07-13 15:45

viewer   ~0005682

Fixed

PD9FER

2018-07-14 06:53

viewer   ~0005697

Fixed

WA9PIE

2018-07-17 16:50

administrator   ~0005725

Awesome! I had asked to resolve this back in early 2012. Good to see it fixed.

Issue History

Date Modified Username Field Change
2018-06-29 17:38 K7ZCZ New Issue
2018-07-01 23:29 K7ZCZ Note Added: 0005589
2018-07-12 14:31 K7ZCZ Assigned To => K7ZCZ
2018-07-12 14:31 K7ZCZ Status new => resolved
2018-07-12 14:31 K7ZCZ Resolution open => fixed
2018-07-12 14:31 K7ZCZ Fixed in Version => 6.4.0.864
2018-07-12 14:31 K7ZCZ Note Added: 0005659
2018-07-13 15:45 g3ucq Note Added: 0005682
2018-07-14 06:53 PD9FER Note Added: 0005697
2018-07-17 16:50 WA9PIE Status resolved => closed
2018-07-17 16:50 WA9PIE Description Updated View Revisions
2018-07-17 16:50 WA9PIE Testing Not Started => Beta Successful
2018-07-17 16:50 WA9PIE Note Added: 0005725
2018-07-23 22:52 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:36 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.864 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe